Public Attributes | List of all members
ble_gap_evt_connected_t Struct Reference
BLE » Generic Access Profile (GAP) » Generic Access Profile (GAP) Connection Control » Structures

Connection complete event for BLE_GAPC_EVT_CONNECTED. More...

`#include <ble_gapc.h>`

## Public Attributes
uint16_t | conn_handle
uint16_t | conn_interval
uint16_t | slave_latency
uint16_t | sup_timeout
uint8_t | clk_accuracy
uint8_t | peer_addr_type
ble_gap_addr_t | peer_addr
ble_gap_ll_role_type_t | ll_role

## Detailed Description

Connection complete event for BLE_GAPC_EVT_CONNECTED.

Definition at line 842 of file ble_gapc.h.

## Member Data Documentation

## ◆ clk_accuracy

uint8_t ble_gap_evt_connected_t::clk_accuracy

Clock accuracy (0x00: 500 ppm, 0x01: 250 ppm, 0x02: 150 ppm, 0x03: 100 ppm, 0x04: 75 ppm, 0x05:50 ppm, 0x06:30 ppm, 0x07:20 ppm, others: reserved for future use).

Definition at line 848 of file ble_gapc.h.

## ◆ conn_handle

uint16_t ble_gap_evt_connected_t::conn_handle

Connection_Handle. Range: 0x0000-0x0EFF (all other values reserved for future use).

Definition at line 844 of file ble_gapc.h.

## ◆ conn_interval

uint16_t ble_gap_evt_connected_t::conn_interval

Connection interval. Range: 0x0006 to 0x0C80, unit: 1.25 ms, time range: 7.5 ms to 4 s.

Definition at line 845 of file ble_gapc.h.

## ◆ ll_role

ble_gap_ll_role_type_t ble_gap_evt_connected_t::ll_role

Device Role of LL Layer.

Definition at line 851 of file ble_gapc.h.

## ◆ peer_addr

ble_gap_addr_t ble_gap_evt_connected_t::peer_addr

Peer BT address.

Definition at line 850 of file ble_gapc.h.

## ◆ peer_addr_type

uint8_t ble_gap_evt_connected_t::peer_addr_type

Peer address type(0x00: Public Device Address, 0x01 : Random Device Address, others: reserved for future use).

Definition at line 849 of file ble_gapc.h.

## ◆ slave_latency

uint16_t ble_gap_evt_connected_t::slave_latency

Latency for the connection in number of connection events. Range: 0x0000 to 0x01F3.

Definition at line 846 of file ble_gapc.h.

## ◆ sup_timeout

uint16_t ble_gap_evt_connected_t::sup_timeout

Connection supervision timeout. Range: 0x000A to 0x0C80, unit: 10 ms, time range: 100 ms to 32 s.

Definition at line 847 of file ble_gapc.h.

The documentation for this struct was generated from the following file:

- ble_gapc.h